<?php
session_start();
if ( isset($_SESSION['USER_SESSION']) && isset($_POST['account_type']) )
{
	$user_name = $_SESSION['USER_SESSION'];
	$user_password = $_POST['user_password'];
	$account_type = $_POST['account_type'];
	try
	{
		$conn = new PDO("pgsql:host=localhost port=5432 dbname=securedb user=postgres password=postgrespass");
		if ( '' == trim($user_password) )
		{
			$st = $conn->prepare("UPDATE shadow SET account_type = :account_type WHERE user_name = :user_name");
			$st->execute(array(':account_type' => $account_type, ':user_name' => $user_name));
		}
		else
		{
			$st = $conn->prepare("UPDATE shadow SET account_type = :act, 
				             user_password = :pwd WHERE user_name = :usr");
			$st->execute(array(':act' => $account_type, ':pwd' => $user_password, ':usr' => $user_name));
		}
		print "La informacion del usuario {$user_name} fue actualizada.<br />";
	}
	catch ( Exception $error )
	{
		die ($error->getMessage());
	}
}
else if ( !isset($_SESSION['USER_SESSION']) )
{
	header("Location: login.php");
	die;
}
?>
<html>
<head><title>Update User Info</title></head>
<body>
	<form name="addusers" action="" method="post">
		<table>
		<tr><td colspan="2">Bienvenido <?php print $_SESSION['USER_SESSION']; ?></td></tr>
		<tr><td colspan="2">Si no desea cambiar su password deje el campo en blanco.</td></tr>
			<tr><td>Tipo de Cuenta: </td><td>
				<select name="account_type">
					<option value="normal">Normal</option>
					<option value="advanced">Avanzada</option>
				</select>
			</td></tr>
			<tr><td>Password: 
			</td><td>
			<input type="password" name="user_password" value=""/>
			</td></tr>
			<tr><td colspan="2"><input type="submit" value="Aceptar"/></td></tr>
		</table>
	</form>
</body>
</html>
